Skip to content

Create a new sandbox for the currently authenticated Vault. Include the source_snapshot parameter in the request body to create a new sandbox from an existing snapshot.

Providing a name which already exists will refresh the existing sandbox Vault. You can also refresh a sandbox from a snapshot.

POST/api/{version}/objects/sandbox
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/x-www-form-urlencoded
NameDescription
source
optional
The source to refresh the sandbox from:
  • vault
  • snapshot
source_snapshot
optional
If the source is a snapshot, provide the api_name of the snapshot to create the sandbox from. You can obtain the api_name using the Retrieve Sandbox Snapshots request.
type
optional
The type of sandbox, such as config.
size
required
The size of the sandbox: Small, Medium, Large, Very Large, Extra Large, or Full. Learn more about sandbox sizes and their limits in Vault Help.
domain
required
The domain to use for the new sandbox. Must be a valid domain. You can retrieve valid domains from the Retrieve Domains endpoint. Only domains of type: Sandbox are allowed. Must be lower-case, and must include the domain extension.
name
required
The name of the sandbox Vault, which appears on the My Vaults page. Providing a new name creates a new sandbox, whereas providing an existing name refreshes the existing sandbox. How often you can refresh a Vault depends on its size. Learn more about refreshing sandboxes in Vault Help.
add_requester
optional
This boolean field adds the currently authenticated user as a Vault Owner in the new sandbox. If set to false, the Domain Admin users in the sandbox domain will become Vault Owners in the sandbox Vault. If omitted, defaults to true.
release
optional
The type of release. This can be general, limited, or prerelease. If omitted, defaults to the release level of the source Vault. Learn more about Vault releases in Vault Help.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "type=config" \ -d "size=Small" \ -d "domain=veepharm.com" \ -d "name=Sandbox" \ https://myvault.veevavault.com/api/v26.1/objects/sandbox
{ "responseStatus": "SUCCESS", "job_id": 70701, "url": "/api/v26.1/services/jobs/70701" }

On SUCCESS, the response includes the following information:

NameDescription
job_idThe Job ID value to retrieve the status and results of the sandbox creation request.
urlURL to retrieve the current status of the sandbox creation request.